import request from '@/utils/request2'

//  获取树
export function serviceDictTreeList(object) {
  return request({
    url: '/meeting/serviceDict/serviceDictTreeList',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  获取列表
export function selectServiceDictList(object) {
  return request({
    url: '/meeting/serviceDict/selectDictList',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  新增树
export function addServiceDict(object) {
  return request({
    url: '/meeting/serviceDict/addServiceDict',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  编辑树
export function updateServiceDict(object) {
  return request({
    url: '/meeting/serviceDict/updateServiceDict',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  编辑树
export function deleteServiceDict(dictId, object = {}) {
  return request({
    url: `/meeting/serviceDict/deleteServiceDict/${dictId}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  新增表格
export function addServiceDictV2(object = {}) {
  return request({
    url: `/meeting/serviceDict/addServiceDictV2`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  编辑表格
export function updateServiceDictV2(object = {}) {
    return request({
      url: `/meeting/serviceDict/updateServiceDictV2`,
      method: 'post',
      data: object,
      type: 'JSON'
    })
  }
//  启用禁用表格
export function updateDEServiceDict(dictId, serviceStatus, object = {}) {
  return request({
    url: `/meeting/serviceDict/updateDEServiceDict/${dictId}/${serviceStatus}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
