import request from '@/utils/request2'

//  获取会议室列表
export function queryMeetingRoomList(object) {
  return request({
    url: '/meeting/meeting/manage/queryPage',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  禁用/启用会议室
export function meetingRoomDisableEnable(id, state, object = {}) {
  return request({
    url: `/meeting/meeting/manage/disableEnable/${id}/${state}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  删除
export function deleteMeetingManage(id, object = {}) {
  return request({
    url: `/meeting/meeting/manage/deleteMeetingManage/${id}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  获取服务设施
export function initThreeLevelMenu(object = {}) {
  return request({
    url: `/meeting/serviceDict/initThreeLevelMenu`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  获取默认经纬度
export function getLocationByDict(object = {}) {
  return request({
    url: `/meeting/meeting/manage/getLocationByDict`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  新增会议室
export function addMeetingManage(object = {}) {
  return request({
    url: `/meeting/meeting/manage/addMeetingManage`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  编辑会议室
export function updateMeetingManage(object = {}) {
  return request({
    url: `/meeting/meeting/manage/updateMeetingManage`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  查询会议室详情
export function queryMeetingRoomInfo(id, object = {}) {
  return request({
    url: `/meeting/meeting/manage/queryInfo/${id}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  查询会议室预约订单记录
export function selectOrderList(id, object = {}) {
  return request({
    url: `/meeting/meeting/manage/selectOrderList/${id}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  查询审批岗位1
export function getTaskNodeApproveUsers(id1, id2, object = {}) {
  return request({
    url: `/meeting/meeting/manage/getTaskNodeApproveUsers/${id1}/${id2}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  查询岗位2
export function getJobArch(id1, id2, object = {}) {
  return request({
    url: `/meeting/meeting/manage/getJobArch/${id1}/${id2}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
