import request from '@/utils/request2'

//  获取会议室预约列表
export function queryMeetingOrderList(object) {
  return request({
    url: '/meeting/meetingOrder/manage/queryPage',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  会议室预约-查询调整金额、取消订单退款
export function selectAmountInfo(id, object = {}) {
  return request({
    url: `/meeting/meetingOrder/manage/selectAmountInfo/${id}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  会议室预约-调整金额
export function adjustmentAmountInfo(object = {}) {
  return request({
    url: `/meeting/meetingOrder/manage/adjustmentAmountInfo`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  会议室预约-退款申请
export function refundAmountInfo(object = {}) {
  return request({
    url: `/meeting/meetingOrder/manage/refundAmountInfo`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  会议室预约-完成订单
export function finishMeetingOrder(orderId, object = {}) {
  return request({
    url: `/meeting/meetingOrder/manage/finishMeetingOrder/${orderId}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  会议室预约-查看收款记录
export function queryMeetingOrderPay(id, object = {}) {
  return request({
    url: `/meeting/meetingOrder/manage/queryMeetingOrderPay/${id}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  会议室预约-取消订单
export function cancelOrder(object = {}) {
  return request({
    url: `/meeting/owner/meeting/reserve/cancelOrder`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  获取订单详情
export function queryOrderInfo(id, object = {}) {
  return request({
    url: `/meeting/meetingOrder/manage/queryInfo/${id}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  获取操作记录
export function queryOperationLog(id, object = {}) {
  return request({
    url: `/meeting/meetingOrder/manage/queryOperationLog/${id}`,
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
