import Api from '@/api/index'

const criterionManage = {
  actions: {
    getInspectionListByDevice ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getInspectionListByDevice(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    checkSysCodeAndName ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.checkSysCodeAndName(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    savePatrolSystem ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.savePatrolSystem(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    editPatrolSystem ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editPatrolSystem(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deleteSystem ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteSystem(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deleteLevel ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteLevel(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveSystem ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveSystem(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    checkLevel ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.checkLevel(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveDeviceLevel ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveDeviceLevel(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    editDeviceLevel ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editDeviceLevel(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getDeviceLevelFields ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDeviceLevelFields(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveInspection ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveInspection(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deleteInspection ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteInspection(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    editInspection ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editInspection(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getInspection ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getInspection(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveDeviceCraft ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveDeviceCraft(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deleteDeviceCraft ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteDeviceCraft(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getGuard ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getGuard(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getCraftDevcieLevelByLevel ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getCraftDevcieLevelByLevel(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getRelated ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getRelated(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    editRelated ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editRelated(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getFields ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getFields(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getFieldsFree ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getFieldsFree(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    addField ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.addField(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deleteField ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteField(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    downloadTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.downloadTemplate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    }
  }
}

export default criterionManage
