import Api from '@/api/index'

const dictionary = {
  actions: {
    getAreaList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAreaList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getProjectList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getProjectList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getSystemList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getSystemList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getFormat ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getFormat(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getPatrolSystem ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPatrolSystem(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getPatrolSystemTree ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPatrolSystemTree(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getLocationTree ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getLocationTree(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getAddressTree ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAddressTree(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getDeviceTree ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDeviceTree(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getAddressList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAddressList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getRuleList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getRuleList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getUserList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getUserList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getDestroyTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDestroyTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getRelayUserList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getRelayUserList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getCloseReaseonList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getCloseReaseonList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    selectPlanUsers ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.selectPlanUsers(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    }
  }
}

export default dictionary
