import Api from '@/api'

const report = {
  actions: {
    // 查询区域列表
    getAreaSelectList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAreaSelectList(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 资产下拉框数据
    getProjectSelectList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getProjectSelectList(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 系统下拉框数据
    getSystemSelectList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getSystemSelectList(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // renderHeaderWithTip ({commit}, object) {
    //   return new Promise((resolve, reject) => {
    //     Api.renderHeaderWithTip(object).then(response => {
    //       resolve(response)
    //     }).catch(error => {
    //       reject(error)
    //     })
    //   })
    // },
    getAddressSelectList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAddressSelectList(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getProjectExecuteReport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getProjectExecuteReport(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    rsExport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.rsExport(object)
      })
    },
    getTaskList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getTaskList(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getDictDetail ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDictDetail(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getAddressTaskExecuteReport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAddressTaskExecuteReport(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getDevicePatrolRecordReport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDevicePatrolRecordReport(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getPatrolRuleLabelAndValueList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPatrolRuleLabelAndValueList(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getSystemExecuteReport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getSystemExecuteReport(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getDeviceTaskExecuteReport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDeviceTaskExecuteReport(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    getPersonnelExecutionReport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPersonnelExecutionReport(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}
export default report
