import Api from '@/api/index'

const task = {
  actions: {
    getAreaTreeForSearch ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAreaTreeForSearch(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    taskGetAddressPage ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.taskGetAddressPage(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getAllUserPermission ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAllUserPermission(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getAllPlanPage ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAllPlanPage(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deleteRuleTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteRuleTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    batchDeleteById ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.batchDeleteById(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    pauseRule ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.pauseRule(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    processRule ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.processRule(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    queryDevice ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.queryDevice(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveRuleDeviceOrder ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveRuleDeviceOrder(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    buildRuleTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.buildRuleTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    updateRuleGrab ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.updateRuleGrab(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    checkPatrolRule ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.checkPatrolRule(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getPatrolTaskList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPatrolTaskList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    showUserByProject ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.showUserByProject(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deletePatrolTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deletePatrolTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    batchUpdateJoinUser ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.batchUpdateJoinUser(object).then(response => {
        //  请求成功回调
          resolve(response)
        }).catch(error => {
        //  请求失败回调
          reject(error)
        })
      })
    },
    deletePatrolTaskBatch ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deletePatrolTaskBatch(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    checkDevice ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.checkDevice(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    destroyTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.destroyTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    batchUpdateTime ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.batchUpdateTime(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    destroyTaskBatch ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.destroyTaskBatch(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    exportPatrolRule ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.exportPatrolRule(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    relayTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.relayTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    relayTaskList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.relayTaskList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    auditClosedTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.auditClosedTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getTaskDetail ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getTaskDetail(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getRecordLog ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getRecordLog(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getTaskOperRecord ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getTaskOperRecord(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    ruleTaskExport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.ruleTaskExport(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    applyCloseTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.applyCloseTask(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    findApplyCloseDetails ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.findApplyCloseDetails(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getDeviceCraftByCompanyId ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDeviceCraftByCompanyId(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    queryPlanTemplateList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.queryPlanTemplateList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    proceedPlanTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.proceedPlanTemplate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    unablePlanTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.unablePlanTemplate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    deletePlanTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deletePlanTemplate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getLabelAndValueList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getLabelAndValueList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    savePlanTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.savePlanTemplate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    queryPlanTemplateInfo ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.queryPlanTemplateInfo(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    editPlanTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editPlanTemplate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    showHelpUsers ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.showHelpUsers(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    showManageUsers ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.showManageUsers(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getDeviceList ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDeviceList(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveRule ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveRule(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    querySystem4PlanTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.querySystem4PlanTemplate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getPlan ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getPlan(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    editRule ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editRule(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveJoinUser ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveJoinUser(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    saveAssister ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveAssister(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getRuleRelayRecord ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getRuleRelayRecord(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getDevice ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getDevice(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getNewDeviceRuleRecord ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getNewDeviceRuleRecord(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getQrCodeTask ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getQrCodeTask(object)
        resolve()
      })
    },
    importPatrolRule ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.importPatrolRule(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    exportLp4Template ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.exportLp4Template(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getLabelAndValueImport ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getLabelAndValueImport(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    }
  }
}

export default task
