import {setStore, getStore} from '@/utils/store'

const common = {
  state: {
    heightTitle: '',
    buttonLoading: getStore({name: 'buttonLoading', type: 'session'}) || false,
    // framePathCrm: 'http://new.wuyeface.com/'
    framePathCrm: 'http://114.215.254.174:8050/qpi'
  },
  mutations: {
    SET_BUTTON_LOADING: (state, data) => {
      setStore({name: 'buttonLoading', content: data, type: 'session'})
      state.buttonLoading = data
    }
  }
}

export default common
