import request from '@/utils/request'

//  获取区域
export function getAreaList(object) {
  return request({
    url: '/device/area/getLabelAndValueList',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  获取资产
export function getProjectList(object) {
  return request({
    url: '/device/projectTab/getLabelAndValueList/' + object.areaId,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  获取房间
export function ownerInfoList(object) {
  return request({
    url: '/landcrm/rest/questionTaskInfo/ownerInfoList',
    method: 'post',
    data: object,
    type: 'FORM',
  })
}
//  获取楼栋
export function buildingDetailList(object) {
  return request({
    url: '/landcrm/rest/buildingInfo/buildingDetailList',
    method: 'post',
    data: object,
    type: 'FORM',
  })
}
