// 组织机构
import * as organize from './organize/organize'
import * as dictionary from './dictionary/dictionary'
import * as meetingRoomManage from './meetingRoomManage'
import * as meetingRoomOrder from './meetingRoomOrder'
import * as meetingRoomEquip from './meetingRoomEquip'
import * as meetingEvent from './meetingEvent'
// 文件合并
const merge = require('webpack-merge')

const result = merge(
  dictionary,
  organize,
  meetingRoomManage,
  meetingRoomOrder,
  meetingRoomEquip,
  meetingEvent
)

export default result
