import request from '@/utils/request2'
import download from '@/utils/download'

//  导入模板下载
export function exportMeetingActivityTemplate(object) {
  return download({
    url: '/meeting/meeting/activity/exportMeetingActivityTemplate',
    method: 'get',
    params: object,
    type: 'JSON',
  })
}
//  新增或编辑会议活动-会议室下拉列表
export function selectMeetingMainList(object) {
  return request({
    url: '/meeting/meeting/activity/selectMeetingMainList',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  新增会议活动
export function addMeetingActivity(object) {
  return request({
    url: '/meeting/meeting/activity/addMeetingActivity',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  编辑会议活动
export function updateMeetingActivity(object) {
  return request({
    url: '/meeting/meeting/activity/updateMeetingActivity',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  删除会议活动
export function deleteMeetingActivity(maId, object) {
  return request({
    url: `/meeting/meeting/activity/deleteMeetingActivity/${maId}`,
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  会议活动报表导出
export function exportMeetingActivity(object) {
  return download({
    url: '/meeting/meeting/activity/exportMeetingActivity',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
//  查询列表
export function selectMeetingActivityByPage(object) {
  return request({
    url: '/meeting/meeting/activity/selectMeetingActivityByPage',
    method: 'post',
    data: object,
    type: 'JSON'
  })
}
