import Api from '@/api/index'

const organize = {
  actions: {
    qpiUserLogin ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.qpiUserLogin(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    checkTokenLegitimate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.checkTokenLegitimate(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    },
    getMenu ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getMenu(object).then(response => {
          //  请求成功回调
          resolve(response)
        }).catch(error => {
          //  请求失败回调
          reject(error)
        })
      })
    }
  }
}

export default organize
