import Api from '@/api/index'

const spaceManage = {
  actions: {
    // 查询区域下的资产
    // getProjectTab ({commit}, object) {
    //   return new Promise((resolve, reject) => {
    //     Api.getProjectTab(object).then(response => {
    //       resolve(response)
    //     }).catch(error => {
    //       reject(error)
    //     })
    //   })
    // },
    // 查询网格列表
    getAddess ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAddess(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 查询资产下路址树
    // getLocationTree ({commit}, object) {
    //   return new Promise((resolve, reject) => {
    //     Api.getLocationTree(object).then(response => {
    //       resolve(response)
    //     }).catch(error => {
    //       reject(error)
    //     })
    //   })
    // },
    // 编辑网格-保存
    editAddress ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.editAddress(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 新增网格-保存
    saveAddress ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.saveAddress(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 删除网格
    deleteAddress ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.deleteAddress(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 批量删除网格
    deleteBatchAddress ({commit}, list) {
      return new Promise((resolve, reject) => {
        Api.deleteBatchAddress(list).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 下载机房(网格)二维码
    getAddressQrCode ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getAddressQrCode(object)
        resolve()
      })
    },
    // 批量下载机房(网格)二维码
    getBatchAddressQrCode ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.getBatchAddressQrCode(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 重构二维码
    rebulidAddressQrCode ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.rebulidAddressQrCode(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 导出/下载网格
    exportAddresss ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.exportAddresss(object)
      })
    },
    // 批量导入-下载模板(网格)
    downloadGridTemplate ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.downloadGridTemplate(object)
      })
    },
    // 导入网格
    importAdresss ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.importAdresss(object).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    // 下载附件
    downloadFiles ({commit}, object) {
      return new Promise((resolve, reject) => {
        Api.downloadFiles(object)
      })
    }
  }
}
export default spaceManage
